Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.component
[Java] Interface SoftwareComponent

    org.gradle.api.component.SoftwareComponent
      org.gradle.api.Named

All Superinterfaces:
  Named

    @Incubating
    @HasInternalProtocol
    public interface SoftwareComponent
    extends Named

A software component produced by a Gradle software project.

Method Summary

Methods inherited from interface Named
getName

Gradle API 1.10